{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "4.2. Территория (История, Информация)" %}


{% block heading %}
    <div class="content-header justify-content-between d-flex flex-wrap align-items-center mb-1">
        <ol class="content-header__breadcrumb breadcrumb mb-50 mr-lg-4">
            <li class="breadcrumb-item">
                <a href="#">Тревога</a>
            </li>
        </ol>
        <div class="d-flex align-items-center justify-content-between flex-md-grow-1">
            <div class="btn-group d-none d-md-flex mb-50 justify-md-content-between">
                <button class="btn btn-outline-primary ">Тревога</button>
                <button class="btn btn-outline-primary active">История</button>
            </div>
        </div>
    </div><!-- .content-header -->
{% endblock %}

{% block main %}

    <div class="card">
        <div class="card-header pb-0">
            <div class="d-flex  align-items-center flex-grow-1 pr-sm-50">
                <fieldset class="mb-50 position-relative has-icon-left flex-grow-1">
                    <input type="text" class="form-control" placeholder="поиск пользователя">
                    <div class="form-control-position">
                        <i class="bx bx-search"></i>
                    </div>
                </fieldset>
                <div class="mb-50">
                    <button type="button" class="btn btn-secondary ml-50">Поиск</button>
                </div>
            </div>
            <fieldset class="mb-50">
                <select class="select2">
                    <option selected disabled>Сортировка</option>
                    <option>По возрастанию</option>
                    <option>По убыванию</option>
                    <option>Сначала новые</option>
                </select>
            </fieldset>
        </div>
        <div class="card-body pl-0 p-0">
            <div class="table-responsive">
                <table class="table m-0 table-transparent table-extended-main table-hover">
                    <thead>
                    <tr>
                        <th class="text-nowrap">Дата</th>
                        <th class="text-nowrap">Отправитель</th>
                        <th class="text-nowrap">Получателей</th>
                        <th class="text-nowrap">Сообщение</th>
                        <th class="text-nowrap">Телефон</th>
                        <th></th>
                    </tr><!-- tr -->
                    </thead>
                    <tbody>
                    <tr>
                        <td class="text-nowrap">25.08.2021</td>
                        <td class="text-nowrap">Кузнецов Н.В.</td>
                        <td class="text-nowrap">3</td>
                        <td>
                            <div style="min-width: 170px;">Объект в вашем районе, срочно задержите пре...</div>
                        </td>
                        <td class="text-nowrap">+7 727 377-8240</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">26.08.2021</td>
                        <td class="text-nowrap">Ахметов С.Г.</td>
                        <td class="text-nowrap">12</td>
                        <td>Вернуться  на объект</td>
                        <td class="text-nowrap">+7 727 377-8240</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">28.08.2021</td>
                        <td class="text-nowrap">Омаров Ф.Д.</td>
                        <td class="text-nowrap">5</td>
                        <td>Собраться в парке Горького</td>
                        <td class="text-nowrap">+7 727 377-8840</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">30.08.2021</td>
                        <td class="text-nowrap">Турсунханов Н.В.</td>
                        <td class="text-nowrap">17</td>
                        <td>Окружить здание</td>
                        <td class="text-nowrap">+7 727 377-8840</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">01.09.2021</td>
                        <td class="text-nowrap">Козлов В.П.</td>
                        <td class="text-nowrap">8</td>
                        <td>Вооружен и опасен</td>
                        <td class="text-nowrap">+7 727 377-5547</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">05.09.2021</td>
                        <td class="text-nowrap">Поляков Р.В.</td>
                        <td class="text-nowrap">14</td>
                        <td>Окружить здание</td>
                        <td class="text-nowrap">+7 727 377-1804</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->

                    <tr>
                        <td class="text-nowrap">25.08.2021</td>
                        <td class="text-nowrap">Кузнецов Н.В.</td>
                        <td class="text-nowrap">3</td>
                        <td>
                            <div style="min-width: 170px;">Объект в вашем районе, срочно задержите пре...</div>
                        </td>
                        <td class="text-nowrap">+7 727 377-8240</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">26.08.2021</td>
                        <td class="text-nowrap">Ахметов С.Г.</td>
                        <td class="text-nowrap">12</td>
                        <td>Вернуться  на объект</td>
                        <td class="text-nowrap">+7 727 377-8240</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">28.08.2021</td>
                        <td class="text-nowrap">Омаров Ф.Д.</td>
                        <td class="text-nowrap">5</td>
                        <td>Собраться в парке Горького</td>
                        <td class="text-nowrap">+7 727 377-8840</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">30.08.2021</td>
                        <td class="text-nowrap">Турсунханов Н.В.</td>
                        <td class="text-nowrap">17</td>
                        <td>Окружить здание</td>
                        <td class="text-nowrap">+7 727 377-8840</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">01.09.2021</td>
                        <td class="text-nowrap">Козлов В.П.</td>
                        <td class="text-nowrap">8</td>
                        <td>Вооружен и опасен</td>
                        <td class="text-nowrap">+7 727 377-5547</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">05.09.2021</td>
                        <td class="text-nowrap">Поляков Р.В.</td>
                        <td class="text-nowrap">14</td>
                        <td>Окружить здание</td>
                        <td class="text-nowrap">+7 727 377-1804</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    </tbody>
                </table><!-- table -->
            </div><!-- table-responsive -->
        </div><!-- .card-body -->
    </div><!-- .card -->

    <ul class="pagination pagination-borderless justify-content-end mt-2">
        <li class="page-item previous disabled">
            <a class="page-link" href="javascript:void(0);">
                <i class="bx bx-chevron-left"></i>
            </a>
        </li>
        <li class="page-item active" aria-current="page"><a class="page-link" href="javascript:void(0);">1</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">2</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">3</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">4</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">5</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">6</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">7</a></li>
        <li class="page-item next">
            <a class="page-link" href="javascript:void(0);">
                <i class="bx bx-chevron-right"></i>
            </a>
        </li>
    </ul>
{% endblock %}

{% block scripts %}

    <script>
        $('.table-extended-main').DataTable({
                "responsive": true,
                "searching": false,
                "lengthChange": false,
                "paging": false,
                "bInfo": false,
                "columnDefs": [
                    { "orderable": false, "targets": [5] },
                ]
            }
        );
    </script>

{% endblock %}

